Bug 197021 - textproc/py-wtforms: update to 2.0.2
Summary: textproc/py-wtforms: update to 2.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-23 06:51 UTC by Ruslan Makhmatkhanov
Modified: 2015-02-04 12:39 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (moggie)


Attachments
wtforms 2.0.2 (747 bytes, patch)
2015-01-23 06:51 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2015-01-23 06:51:46 UTC
Created attachment 152048 [details]
wtforms 2.0.2

Update py-wtforms to 2.0.2.

Changelog:
"""
Version 2.0.2
-------------
Released January 18, 2015

- Added more localizations and updated some.
- Validators for email and URL can validate IDNA-encoded domain names and new TLDs
- Better DeprecationWarnings
- Support localization files in /usr/share/locale (for distro packaging)
"""

Here are the build logs (with tests enabled):
https://people.freebsd.org/~rm/py27-wtforms-2.0.2.log

Ran 176 tests in 1.483s
OK

https://people.freebsd.org/~rm/py34-wtforms-2.0.2.log

Ran 157 tests in 0.408s
OK
Comment 1 Bugzilla Automation freebsd_committer 2015-01-23 06:51:46 UTC
Maintainer CC'd
Comment 2 moggie 2015-02-02 19:55:00 UTC
Patch approved, thank you very much.
Comment 3 moggie 2015-02-03 16:02:35 UTC
Please also transfer maintainership of this port to rm@FreeBSD.org
Comment 4 commit-hook freebsd_committer 2015-02-04 12:38:43 UTC
A commit references this bug:

Author: rm
Date: Wed Feb  4 12:37:49 UTC 2015
New revision: 378396
URL: https://svnweb.freebsd.org/changeset/ports/378396

Log:
  textproc/py-wtforms: update to 2.0.2

  - update to 2.0.2
  - adopt port

  PR:		197021
  Submitted by:	rm (myself)
  Approved by:	moggie@elasticmind.net (maintainer)

Changes:
  head/textproc/py-wtforms/Makefile
  head/textproc/py-wtforms/distinfo
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2015-02-04 12:39:46 UTC
Committed, thank you.